# SPDX-FileCopyrightText: 2018-2019 Dirk Beyer <https://www.sosy-lab.org>
#
# SPDX-License-Identifier: Apache-2.0

# This is a Docker image for running the tests.
# It should be pushed to registry.gitlab.com/sosy-lab/test-comp/test-format/test/python
# and will be used by CI as declared in .gitlab-ci.yml.
#
# Commands for updating the image:
# docker build -t registry.gitlab.com/sosy-lab/test-comp/test-format/test/python:3.9 - < test/Dockerfile.python-3.9
# docker push registry.gitlab.com/sosy-lab/test-comp/test-format/test/python:3.9

FROM python:3.9

RUN apt update && apt install -y gcc-multilib g++-multilib

RUN pip install -U pip && pip install \
  pytest \
  pytest-cov \
  lxml \
  pylint
